{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.${namespace}) mkEnableModule enabled;

  cfg = config.${namespace}.appearance.gtk;
  inherit (config.${namespace}) theme;
in
{
  options = mkEnableModule "appearance.gtk";

  config = mkIf cfg.enable {
    gtk = {
      enable = true;

      "${theme.colors.theme}" = enabled;

      gtk2.configLocation = "${config.xdg.configHome}/gtk-2.0/gtkrc";
    };
  };
}
