{ pkgs, config, ... }:
let
  toYaml = (pkgs.formats.yaml { }).generate;
in
{
  home.packages = with pkgs; [
    cheat
  ];

  xdg.configFile."cheat/conf.yml".source = toYaml "conf.yml" {
    colorize = true;
    # TODO set based on global color scheme
    style = "rose-pine";
    formatter = "terminal256";
    pager = "less -FRX";

    cheatpaths =
      let
        cheatDir = "${config.xdg.configHome}/cheat/cheatsheets";
      in
      [
        {
          name = "community";
          path = "${cheatDir}/community";
          tags = [ "community" ];
          readonly = true;
        }
        {
          name = "personal";
          path = "${cheatDir}/personal";
          tags = [ "personal" ];
          readonly = false;
        }
      ];
  };
}
