{ pkgs, ... }:
{
  home.packages = with pkgs; [
    curl
  ];

  xdg.configFile.".curlrc" = {
    enable = true;
    target = ".curlrc";

    text = # conf
      ''
        # Limit the timeout in seconds.
        connect-timeout = 60

        # Follow HTTP redirects.
        location

        # Show error messages.
        show-error

        # Disguise as IE 9 on Windows 7.
        user-agent = "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Trident/5.0)"
      '';
  };
}
